#
# spec file for package perl-Test-Fatal (Version 0.003)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-Test-Fatal
%define cpan_name Test-Fatal
Summary:        Incredibly simple helpers for testing code with exceptions
Version:        0.005
Release:        18.2
License:        GPL+ or Artistic
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Test-Fatal/
Source:         http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/Test-Fatal-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.96
#
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter) >= 5.59
BuildRequires:  perl(overload)
BuildRequires:  perl(Try::Tiny) >= 0.07
#
Requires:       perl(Carp)
Requires:       perl(Exporter) >= 5.59
Requires:       perl(Try::Tiny) >= 0.07

%description
Test::Fatal is an alternative to the popular Test::Exception. It does much
less, but should allow greater flexibility in testing exception-throwing
code with about the same amount of typing.
It exports one routine by default: "exception".

Authors:
--------
    Ricardo Signes <rjbs@cpan.org>

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
# do not perl_process_packlist (noarch)
# remove .packlist file
%{__rm} -rf $RPM_BUILD_ROOT%perl_vendorarch
# remove perllocal.pod file
%{__rm} -rf $RPM_BUILD_ROOT%perl_archlib
%perl_gen_filelist

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root,-)
%doc Changes LICENSE README

%changelog
* Thu Apr 28 2011 pascal.bleser@opensuse.org
- update to 0.005: no user-visible changes
- changes from 0.004:
  * success blocks now allow trailing blocks like finally, catch, etc.
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Thu Nov 11 2010 chris@computersalat.de
- recreated by cpanspec 1.78
- noarch pkg
* Mon Nov  1 2010 pascal.bleser@opensuse.org
- initial package (0.003)
